## org.ascape.model.space
Class CollectionSpace.CSMutableIterator

    java.lang.Object
      org.ascape.model.space.CollectionSpace.CSIterator
          org.ascape.model.space.CollectionSpace.CSMutableIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator, ResetableIterator

Direct Known Subclasses:
  CollectionSpace.ListMutableRandomIterator, CollectionSpace.MutableSubIterator

Enclosing class:
  CollectionSpace

    protected class CollectionSpace.CSMutableIterator

extends CollectionSpace.CSIterator

The Class CSMutableIterator.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`copy, copyIterator`

Constructor Summary
`protected` `CollectionSpace.CSMutableIterator()`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`first`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionSpace.CSMutableIterator

    protected CollectionSpace.CSMutableIterator()

Method Detail

### hasNext

    public final boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Overrides:
    `hasNext` in class `CollectionSpace.CSIterator`

### remove

    public final void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Overrides:
    `remove` in class `CollectionSpace.CSIterator`

### next

    public final java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `CollectionSpace.CSIterator`